// Shader taken from: http://webglsamples.googlecode.com/hg/electricflower/electricflower.html

#ifdef GL_ES
precision mediump float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

uniform sampler2D CC_Texture0;

uniform float passedTime;
uniform vec4  highLightColor;

void main() {

	vec4 texColor = texture2D(CC_Texture0, v_texCoord);
	vec4 addOnColor = highLightColor * texColor.a * passedTime;
	gl_FragColor = addOnColor + texColor;
}

